#2011, Eulalie Sauthier, Master Thesis

maxmonthtoyear <- function(input_data,colonne){#find in montly precipitations the maximum

size_vec<-floor(length(input_data[ ,colonne])/12) #prépare le vecteur
out<-vector(length= size_vec)
j<-1;k<-1;i<-1 #indice pour la première itération

out[1]<-max(input_data[1:12,colonne]) #première itération
o<-13;r<-24 #incréments de début et de fin

for(i in 2: size_vec){
out[i]<-max(input_data[o:r,colonne]) #garde le maximum 
o<-o+12;r<-r+12; #augmente les incréments
}
return(out)
}